Package ch.qos.logback.core.boolex

# Class EventEvaluatorBase<E>

java.lang.Object
ch.qos.logback.core.spi.ContextAwareBase
ch.qos.logback.core.boolex.EventEvaluatorBase<E>

All Implemented Interfaces:
  `EventEvaluator<E>`, `ContextAware`, `LifeCycle`

Direct Known Subclasses:
  `JaninoEventEvaluatorBase`, `OnErrorEvaluator`, `OnMarkerEvaluator`

public abstract class EventEvaluatorBase<E> extends ContextAwareBase implements EventEvaluator<E>

## Field Summary

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

## Constructor Summary

Constructors
Constructor
Description
`EventEvaluatorBase()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Evaluators are named entities.
`boolean`
`isStarted()`
`void`
`setName(String name)`
Evaluators are named entities.
`void`
`start()`
`void`
`stop()`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface ch.qos.logback.core.spi.ContextAware

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, setContext`

### Methods inherited from interface ch.qos.logback.core.boolex.EventEvaluator

`evaluate`

## Constructor Details

### EventEvaluatorBase

public EventEvaluatorBase()

## Method Details

### getName

public String getName()
Description copied from interface: `EventEvaluator`
Evaluators are named entities.

Specified by:
  `getName` in interface `EventEvaluator<E>`
Returns:
  The name of this evaluator.

### setName

public void setName(String name)
Description copied from interface: `EventEvaluator`
Evaluators are named entities.

Specified by:
  `setName` in interface `EventEvaluator<E>`

### isStarted

public boolean isStarted()

Specified by:
  `isStarted` in interface `LifeCycle`

### start

public void start()

Specified by:
  `start` in interface `LifeCycle`

### stop

public void stop()

Specified by:
  `stop` in interface `LifeCycle`